View and create a Duo profile
Configure Duo profiles for secure shell (SSH) access using these endpoints. Create and manage profiles by specifying integration keys, secret keys, API hosts, and other parameters. Retrieve existing profiles to review their association with specific clusters or SVMs.
Overview
This API configures the Duo profile for secure shell (SSH).
Examples
Creating a Duo profile
Specify the integration key, secret key, API host, and other necessary information in the body of the POST request. The owner.uuid or owner.name are not required for a cluster-scoped account.
# The API:
POST "/api/security/authentication/duo/profiles"
# The call:
curl -k https://<mgmt-ip>/api/security/authentication/duo/profiles --request POST --data '{"api_host": "api-******.duosecurity.com", "comment": "test post", "fail_mode": "safe", "integration_key": "AAAA1A11A1AAA1AAA111", "secret_key": "xxxxxxxxxq1QR20AAaZ6GRi6xxxxxxxxxxxxxxx"}'
# The response:
{
}
Creating a Duo profile for an SVM-scoped account
For an SVM-scoped account, specify either the SVM name as the owner.name or the SVM UUID as the owner.uuid along with other parameters for the Duo profile. These parameters indicate the SVM that the Duo profile is being created on and can be obtained from the response body of the GET request performed on the API "/api/svm/svms".
# The API:
POST "/api/security/authentication/duo/profiles"
# The call:
curl -k https://<mgmt-ip>/api/security/authentication/duo/profiles --request POST --data '{"api_host": "api-******.duosecurity.com", "comment": "test post", "fail_mode": "safe", "integration_key": "AAAA1A11A1AAA1AAA111", "secret_key": "xxxxxxxxxgq1QR20AAaZ6GRixxxxxxxxxxxxxxxx", "owner.name":"vs0" }'
# The response:
{
}
Retrieving the configured Duo profile(s)
Retrieves the Duo profiles associated with the owners or filtered list (for a specific SVM and so on).
# The API:
GET "/api/security/authentication/duo/profiles"
# The call to retrieve Duo profiles associated with Duo configured cluster or SVM:
curl -k https://<mgmt-ip>/api/security/authentication/duo/profiles
# the response:
{
"records": [
{
"owner": {
"uuid": "5f618c80-d90a-11ed-a6e6-0050568e8ef2",
"name": "vs0"
}
},
{
"owner": {
"uuid": "f810005a-d908-11ed-a6e6-0050568e8ef2",
"name": "tsmithcluster-1"
}
}
],
"num_records": 2
}